import { ArgumentMetadata } from '@nestjs/common';
import { UpdateUserRequest } from '../../../modules/users/domain/dtos/update-user.request';
import { RpcValidationPipe } from '../../pipes/rpc.validation-pipe';

describe('RpcValidationPipe', () => {
  it('should not validate request', async () => {
    const target: RpcValidationPipe = new RpcValidationPipe({
      whitelist: true,
      forbidUnknownValues: false,
    });
    const metadata: ArgumentMetadata = {
      type: 'body',
      metatype: UpdateUserRequest,
      data: '',
    };
    await target.transform(<UpdateUserRequest>{}, metadata).catch((err) => {
      expect(err.message).toEqual('Rpc Exception');
    });
  });
});
